# Return To Inventory

## Return To Inventory

The Return To Inventory API allows "fixing" a card that was spoiled in the inventory (which means its status changed to SPLT), this API will set its status to CII (Card In Inventory) and will allow using it again.

## Input Parameters:

| Name         | Required | Definition                                                                                                                | Comments |
| ------------ | -------- | ------------------------------------------------------------------------------------------------------------------------- | -------- |
| RetailPackId | C        | <p>Format: Pattern: 12-5-1-1.<br>1..12digits-1..5digits-1digit-1 digit<br>Description: Praxell Retail pack identifier</p> |          |
| Type         | Y        | <p>Format:<br>RPID<br>CARD<br>Description: Type of transaction for charge fee</p>                                         |          |

## Output Parameters:

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
 <PraxellXMLRequest>
   <AuthenticationDetails>
    <UserName>test_pm</UserName>
    <UserPassword>test_pm</UserPassword>
    <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
  <ServiceDetails>
    <ServiceName>ReturnToInventory</ServiceName>
    <UniqueRequestId>1212121212121213</UniqueRequestId>
  </ServiceDetails>
  <Origin>
   <OriginType>ExtAPI</OriginType>
  </Origin>
  <ServiceParams>
     <Type>RPID</Type>
     <RetailPackId>9999999999998036</RetailPackId>
  </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0" ?>
<PraxellXMLResponse>
    <ResponseDetails>
        <ServiceName>ReturnToInventory</ServiceName>
        <SessionId>05200637022706028152</SessionId>
        <StatusCode>0</StatusCode>
        <StatusName>StatusOK</StatusName>
        <StatusDescription>NA</StatusDescription>
        <ServiceDate>2007-05-27 06:17:54</ServiceDate>
        <ServiceId>05200637022706028152</ServiceId>
    </ResponseDetails>
    <ResponseParams>                    
    </ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>ReturnToInventory</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70000</StatusCode>
    <StatusName>Processor error</StatusName>
    <StatusDescription>Processor error</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/card-status-and-management/return-to-inventory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
